% This file was created with JabRef 2.5.
% Encoding: MacRoman

@INPROCEEDINGS{aguilera09b,
  author = {Marcos K. Aguilera and Michael Walfish},
  title = {No Time for Asynchrony},
  booktitle = {Proc. of the 12th Workshop on Hot Topics in Operating Systems},
  year = {2009},
  publisher = {USENIX Association},
  file = {:/Users/buzato/bibliobase/papers/aguilera09b.pdf:PDF},
  keywords = {pfdtreplica},
  owner = {buzato},
  timestamp = {2010.03.29}
}

@ARTICLE{cristian99,
  author = {Flaviu Cristian and Christof Fetzer},
  title = {The Timed Asynchronous Distributed System Model},
  journal = {IEEE Transactions on Parallel and Distributed Systems},
  year = {1999},
  volume = {10},
  pages = {642-657},
  address = {Los Alamitos, CA, USA},
  doi = {http://doi.ieeecomputersociety.org/10.1109/71.774912},
  file = {:/Users/buzato/bibliobase/papers/cristian99.pdf:PDF},
  issn = {1045-9219},
  owner = {buzato},
  publisher = {IEEE Computer Society},
  timestamp = {2010.07.29}
}

@INPROCEEDINGS{ezhilchelvan09,
  author = {Paul Ezhilchelvan and Santosh Shrivastava},
  title = {Learning from the Past for Resolving Dilemmas of Asynchrony},
  booktitle = {Proc. of the 3rd ACM SIGOPS International Workshop on Large Scale
	Distributed Systems and Middleware},
  year = {2009},
  file = {:/Users/buzato/bibliobase/papers/ezhilchelvan09.pdf:PDF},
  keywords = {pfdtreplica},
  owner = {buzato},
  timestamp = {2010.03.29}
}

@INPROCEEDINGS{fetzer96,
  author = {Fetzer, Christof and Cristian, Flaviu},
  title = {Fail-awareness in timed asynchronous systems},
  booktitle = {PODC '96: Proceedings of the fifteenth annual ACM symposium on Principles
	of distributed computing},
  year = {1996},
  pages = {314--321},
  address = {New York, NY, USA},
  publisher = {ACM},
  doi = {http://doi.acm.org/10.1145/248052.248119},
  file = {:/Users/buzato/bibliobase/papers/fetzer96.pdf:PDF},
  isbn = {0-89791-800-2},
  keywords = {failure detector, clock synchronization, NTP},
  location = {Philadelphia, Pennsylvania, United States},
  owner = {buzato},
  timestamp = {2009.10.30}
}

@INPROCEEDINGS{fetzer05,
  author = {Christof Fetzer and Ulrich Schmid and Martin S?sskraut},
  title = {On the Possibility of Consensus in Asynchronous Systems with Finite
	Average Response Times},
  booktitle = {Distributed Computing Systems, International Conference on},
  year = {2005},
  pages = {271-280},
  address = {Los Alamitos, CA, USA},
  publisher = {IEEE Computer Society},
  doi = {http://doi.ieeecomputersociety.org/10.1109/ICDCS.2005.57},
  file = {:/Users/buzato/bibliobase/papers/fetzer05.pdf:PDF},
  issn = {1063-6927},
  owner = {buzato},
  timestamp = {2010.08.13}
}

@ARTICLE{fischer85,
  author = {Michael J. Fischer and Nancy Lynch and Michael S. Paterson},
  title = {Impossibility of distributed consensus with one faulty process},
  journal = {J. ACM},
  year = {1985},
  volume = {32},
  pages = {374--382},
  number = {2},
  address = {New York, NY, USA},
  doi = {http://doi.acm.org/10.1145/3149.214121},
  file = {fischer85.pdf:papers/fischer85.pdf:PDF},
  issn = {0004-5411},
  keywords = {consensus},
  owner = {buzato},
  publisher = {ACM Press},
  review = {Classic impossibility result for asynchronous systems.},
  timestamp = {2008.10.10}
}

@ARTICLE{keidar02,
  author = {Idit Keidar and Sergio Rajsbaum},
  title = {A simple proof of the uniform consensus synchronous lower bound},
  journal = {Information Processing Letters},
  year = {2003},
  volume = {85},
  pages = {47 - 52},
  number = {1},
  doi = {DOI: 10.1016/S0020-0190(02)00333-2},
  file = {:/Users/buzato/bibliobase/papers/keidar02.pdf:PDF},
  issn = {0020-0190},
  keywords = {Distributed computing},
  owner = {buzato},
  timestamp = {2010.04.06},
  url = {http://www.sciencedirect.com/science/article/B6V0F-4619MD5-2/2/1e18868b812187cd4f20949273362c61}
}

@ARTICLE{keidar01,
  author = {Keidar, Idit and Rajsbaum, Sergio},
  title = {On the cost of fault-tolerant consensus when there are no faults:
	preliminary version},
  journal = {SIGACT News},
  year = {2001},
  volume = {32},
  pages = {45--63},
  number = {2},
  address = {New York, NY, USA},
  doi = {http://doi.acm.org/10.1145/504192.504195},
  file = {:/Users/buzato/bibliobase/papers/keidar01.pdf:PDF},
  issn = {0163-5700},
  keywords = {pdftreplica},
  owner = {buzato},
  publisher = {ACM},
  timestamp = {2010.04.02}
}

@ARTICLE{lamport06,
  author = {Leslie Lamport},
  title = {Lower bounds for asynchronous consensus},
  journal = {Distributed Computing},
  year = {2006},
  volume = {19},
  pages = {104---125},
  number = {2},
  month = {June},
  file = {lamport06b.pdf:papers/lamport06b.pdf:PDF},
  owner = {buzato},
  timestamp = {2008.10.10}
}

@ARTICLE{lamport06a,
  author = {Leslie Lamport},
  title = {Fast {P}axos},
  journal = {Distrib. Comput.},
  year = {2006},
  volume = {19},
  pages = {79--103},
  number = {2},
  month = oct,
  address = {London, UK},
  doi = {http://dx.doi.org/10.1007/s00446-006-0005-x},
  file = {lamport06a.pdf:papers/lamport06a.pdf:PDF},
  issn = {0178-2770},
  keywords = {paxos, consensus},
  owner = {buzato},
  publisher = {Springer-Verlag},
  timestamp = {2008.10.10}
}

@ARTICLE{mishra02,
  author = {Shivakant Mishra and Christof Fetzer and Flaviu Cristian},
  title = {The Timewheel Group Communication System},
  journal = {IEEE Transactions on Computers},
  year = {2002},
  volume = {51},
  pages = {883-899},
  address = {Los Alamitos, CA, USA},
  doi = {http://doi.ieeecomputersociety.org/10.1109/TC.2002.1024737},
  issn = {0018-9340},
  owner = {buzato},
  publisher = {IEEE Computer Society},
  timestamp = {2010.07.29}
}

@article{dolev87,
	Publisher = {ACM},
	author = {Dolev, Danny and Dwork, Cynthia and Stockmeyer, Larry},
	title = {On the minimal synchronism needed for distributed consensus},
	journal = {Journal of the ACM (JACM)},
	volume = {34},
	number = {1},
	pages = {77-97},
	year = {1987},
}

@article{charron-bost04,
	Publisher = {Elsevier},
	author = {Charron-Bost, B. and Schiper, A.},
	title = {Uniform consensus is harder than consensus},
	journal = {Journal of Algorithms},
	volume = {51},
	number = {1},
	pages = {15-37},
	year = {2004},
	doi = {10.1016/j.jalgor.2003.11.001},
}

@techreport{raynal02,
	address = {Université de Rennes 1},
	institution = {Institut de Reserche en Systèmes Alèatoires},
	month = {July},
	Publisher = {IEEE Computer Society},
	author = {Raynal, M.},
	title = {Consensus in synchronous systems: a concise guided tour},
	year = {2002},
}

@techreport{rodrigues02,
	institution = {Department of Informatics, University of Lisbon},
	month = {September},
	type = {Tech Report},
	author = {Vicente, P. and Rodrigues, L.},
	title = {An Indulgent Uniform Total Order Algorithm with Optimistic Delivery},
	year = {2002},
}

@incollection{pedone98,
	Affiliation = {Ecole Polytechnique Fédérale de Lausanne Département d’Informatique 1015 Lausanne Switzerland 1015 Lausanne Switzerland},
	booktitle = {Distributed Computing},
	Chapter = {Lecture Notes in Computer Science},
	editor = {Kutten, Shay},
	publisher = {Springer},
	Url = {http://dx.doi.org/10.1007/BFb0056492},
	author = {Pedone, Fernando and Schiper, André},
	title = {Optimistic Atomic Broadcast},
	journal = {Distributed Computing},
	volume = {1499},
	pages = {318-332},
	year = {1998},
	doi = {10.1007/BFb0056492},
}

@article{felber01,
	address = {Mesa, AZ, United States},
	booktitle = {21st IEEE International Conference on Distributed Computing Systems},
	Isbn = {0-7695-1077-9},
	month = {April},
	Organization = {Published by the IEEE Computer Society},
	Publisher = {IEEE Computer Society},
	author = {Felber, Pascal and Schiper, André},
	title = {Optimistic Active Replication},
	journal = {Distributed Computing Systems, International Conference on},
	volume = {0},
	pages = {0333},
	year = {2001},
	doi = {http://doi.ieeecomputersociety.org/10.1109/ICDSC.2001.918963},
}

@INPROCEEDINGS{vieira09,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {The Performance of {P}axos and {F}ast {P}axos},
  booktitle = {SBRC '09: Proc. of the 27th Brazilian Symposium on Computer Networks
	and Distributed Systems},
  year = {2009},
  pages = {291--304},
  address = {Recife, Brasil},
  month = may,
  file = {vieira09.pdf:papers/vieira09.pdf:PDF},
  keywords = {paxos, performance},
  owner = {gdvieira},
  timestamp = {2010.02.09},
  url = {http://www.ic.unicamp.br/~gdvieira/publications/}
}

@ARTICLE{vieira08b,
  author = {Gustavo M. D. Vieira and Luiz E. Buzato},
  title = {On the coordinator's rule for {F}ast {P}axos},
  journal = {Information Processing Letters},
  year = {2008},
  volume = {107},
  pages = {183--187},
  month = aug,
  doi = {http://dx.doi.org/10.1016/j.ipl.2008.03.001},
  file = {vieira08b.pdf:papers/vieira08b.pdf:PDF;Preprint:papers/vieira08b-preprint.pdf:PDF},
  keywords = {paxos},
  owner = {gdvieira},
  timestamp = {2008.08.12}
}

@TECHREPORT{vieira09-tr,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {The Performance of {P}axos and {F}ast {P}axos},
  institution = {Institute of Computing, University of Campinas},
  year = {2008},
  number = {IC-08-35},
  month = dec,
  file = {vieira09-tr.pdf:papers/vieira09-tr.pdf:PDF},
  keywords = {paxos, performance},
  owner = {gdvieira},
  timestamp = {2010.02.10},
  url = {http://www.ic.unicamp.br/~reltech/2008/abstracts.html}
}

@TECHREPORT{vieira08a-tr,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {{T}replica: Ubiquitous replication},
  institution = {Institute of Computing, University of Campinas},
  year = {2007},
  number = {IC-07-37},
  month = dec,
  file = {vieira08a-tr.pdf:papers/vieira08a-tr.pdf:PDF},
  keywords = {active replication, middleware, paxos, persistent queues},
  owner = {gdvieira},
  timestamp = {2010.02.10},
  url = {http://www.ic.unicamp.br/~reltech/2007/abstracts.html}
}

@TECHREPORT{vieira08b-tr,
  author = {Vieira, Gustavo M. D. and Buzato, Luiz E.},
  title = {On the coordinator's rule for {F}ast {P}axos},
  institution = {Institute of Computing, University of Campinas},
  year = {2007},
  number = {IC-07-35},
  month = nov,
  file = {vieira08b-tr.pdf:papers/vieira08b-tr.pdf:PDF},
  keywords = {paxos},
  owner = {gdvieira},
  timestamp = {2010.02.10},
  url = {http://www.ic.unicamp.br/~reltech/2007/abstracts.html}
}

@TECHREPORT{vieira-tr10a,
  author = {Vieira, Gustavo M. D. and Garcia, Islene Calciolari and Buzato,
	Luiz E.},
  title = {Seamless {P}axos Coordinators},
  institution = {Institute of Computing, University of Campinas},
  year = {2010},
  number = {IC-10-13},
  month = apr,
  file = {vieira-tr10a.pdf:papers/vieira-tr10a.pdf:PDF},
  keywords = {paxos, leader election, dependability, performance},
  owner = {gdvieira},
  timestamp = {2010.04.27},
  url = {http://www.ic.unicamp.br/~reltech/2010/abstracts.html}
}


@INPROCEEDINGS{buzato09,
  author = {Luiz E. Buzato and Gustavo M. D. Vieira and Willy Zwaenepoel},
  title = {Dynamic Content Web Applications: Crash, Failover, and Recovery Analysis},
  booktitle = {DSN 2009: 39th International Conference on Dependable Systems and
	Networks},
  year = {2009},
  pages = {229--238},
  address = {Estoril, Lisbon, Portugal},
  month = jun,
  doi = {http://dx.doi.org/10.1109/DSN.2009.5270331},
  file = {buzato09.pdf:papers/buzato09.pdf:PDF},
  keywords = {active replication, dependability, performance},
  owner = {gdvieira},
  timestamp = {2009.11.16}
}

@InCollection{Chor89,
  author = 	 {Chor, Benny and Dwork, Cynthia},
  booktitle = 	 {Advances in Computing research},
  title = 	 {Randomization in byzantine agreement},
  publisher =    {.},
  pages = 	 {443-497},
  year = 	 1989}

@comment{jabref-meta: selector_journal:}

@comment{jabref-meta: selector_author:}

@comment{jabref-meta: selector_keywords:}

@comment{jabref-meta: selector_publisher:}

@book{dolev2000self,
  title={{Self-stabilization}},
  author={Dolev, Shlomi},
  isbn={0262041782},
  year={2000},
  publisher={The MIT press}
}

@book{Lynch:1996:DA:525656,
 author = {Lynch, Nancy},
 title = {Distributed Algorithms},
 year = {1996},
 isbn = {1558603484},
 publisher = {Morgan Kaufmann Publishers Inc.},
 address = {San Francisco, CA, USA},
}